/* Copyright (c) 2011 Artjom Popov */

#import <Foundation/Foundation.h>

CGPoint UTGeometryClampPoint(CGPoint v, CGFloat min, CGFloat max);
CGFloat UTGeometryClampFloat(CGFloat v, CGFloat min, CGFloat max);
CGRect UTGeometryAlignedRectangle(CGSize viewport, CGSize viewbox, CGPoint focus, float scale, CGSize minbox);
CGAffineTransform UTGeometryTransform(CGRect a, CGRect b);
CGSize UTGeometryAspectFitSize(CGSize orinalSize, CGSize sizeToFit);